diff --git a/web/webkit/src/main/scala/net/liftweb/http/CometActor.scala b/web/webkit/src/main/scala/net/liftweb/http/CometActor.scala
index 47d146f..86608df 100644
--- a/web/webkit/src/main/scala/net/liftweb/http/CometActor.scala
+++ b/web/webkit/src/main/scala/net/liftweb/http/CometActor.scala
@@ -190,22 +190,26 @@ object ListenerManager {
  * For example, you could write a simple service to provide clock ticks using the following code:
  *
  * <pre name="code" class="scala">
+ * import net.liftweb.http.ListenerManager
+ * import net.liftweb.actor.LiftActor
+ *
  * case object Tick
- * 
- * object Ticker extends ListenerManager {
- *   import net.liftweb.util.ActorPing
- * 
+ *
+ * object Ticker extends ListenerManager with LiftActor {
+ *
+ *   import net.liftweb.util.Schedule
+ *
  *   // Set up the initial tick
- *   ActorPing.schedule(this, Tick, 1000L)
+ *   Schedule.schedule(this, Tick, 1000L)
  *
  *   // This is a placeholder, since we're only interested
  *   // in Ticks
  *   def createUpdate = "Registered"
- * 
+ *
  *   override def mediumPriority = {
  *     case Tick => {
- *       updateListeneres(Tick)
- *       ActorPing.schedule(this, Tick, 1000L)
+ *       updateListeners(Tick)
+ *       Schedule.schedule(this, Tick, 1000L)
  *     }
  *   }
  * }
